Foreman - Bug #12828

Hidden value checkbox disabled after override button is checked
12/15/2015 08:43 AM - Jitendra Yejare

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Parameters
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1291692 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2979
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1291692
Description of problem:

The checkbox to hide the value of parameter is not available after checking Override button but without saving the override change to
parameter.

Workaround: Override the parameter first, save the changes to parameter. Again edit the parameter, the checkbox to hide the value
of parameter will be available to check/uncheck.

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:

1. Edit new puppet class parameter.

2. Click on override button to override its value, but dont save/submit the changes.
3. See the availability of 'Hidden Value' Checkbox.

Actual results:
Checkbox not available to Hide the Value of parameter.

Expected results:
Checkbox should be available to Hide the Value of parameter.

Additional info:

Related issues:
Related to Foreman - Feature #6007: Add hide/show value to smart class params Closed 06/02/2014
Has duplicate Foreman - Bug #13127: The Hidden Value checkbox is disabled for... Duplicate 01/12/2016

Associated revisions

Revision fd1e1221 - 12/16/2015 07:42 AM - Ori Rabin

Fixes #12828 - Hidden value checkbox enabled after override button is checked

History

#1 - 12/15/2015 08:52 AM - Dominic Cleal

- Subject changed from Checkbox not available to Hide the Value of parameter even after override button checked. to Hidden value checkbox disabled
after override button is checked
- Category changed from Web Interface to Parameters

#2 - 12/15/2015 08:53 AM - Dominic Cleal
https://bugzilla.redhat.com/show_bug.cgi?id=1291692

- translation missing: en.field_release set to 71

#3 - 12/15/2015 08:53 AM - Dominic Cleal

- Related to Feature #6007: Add hide/show value to smart class params added

#4 - 12/15/2015 08:58 AM - Ori Rabin
- Status changed from New to Assigned

- Assignee set to Ori Rabin

#5 - 12/16/2015 04:35 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2979 added

#6 - 12/16/2015 08:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset fd1e12218b35ae6a37ee728f272037f58216a60b.

#7 - 01/12/2016 06:34 AM - Dominic Cleal

- Has duplicate Bug #13127: The Hidden Value checkbox is disabled for Parameter with empty puppet default Value, added
